Name: jdkgcj
Version: 0.3.3
Release: alt4

Summary: A free Java SDK
License: GPL
Group: Development/Java
Url: http://www.arklinux.org/projects/jdkgcj
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

%define jdkgcj_home %_libdir/%name
%define java_home   %jdkgcj_home
%define priority 120

Requires: gcc-java = %__gcc_version
Requires: libgcj-devel = %__gcc_version
Requires: gcc-java-common >= 1.4.1-alt2
Requires: java-common >= 1.1
PreReq: alternatives >= 0:0.2.0-alt0.12

Source: %name-%version.tar.bz2
Source1: %name-notimpl.sh
Source2: %name-refentry.xml

%set_compress_method gzip

# Automatically added by buildreq on Wed Feb 25 2004
BuildRequires: docbook-dtds docbook-style-xsl gcc-java libgcj-devel xml-common xml-utils xmlto xsltproc

%description
jdkgcj provides an interface to gcj that is compatible with the Sun and IBM
Java Development Kits (JDKs).
jdkgcj provides the javac, java and javah tools as well as jni.h, allowing
you to compile java extensions using JNI.

%prep
%setup -q -n %name

%build
%configure \
	--prefix=%jdkgcj_home \
	--bindir=%jdkgcj_home/bin \
	--includedir=%jdkgcj_home/include
xmlto -o man man %SOURCE2

%install
rln()
{
	local target=$1 && shift
	local source=$1 && shift
	target=`relative "$target" "$source"`
	%__ln_s -nf "$target" "%buildroot$source"
}
%make_install install DESTDIR=%buildroot
rln %_bindir/gcjh %jdkgcj_home/bin/javah
rln %_bindir/gcj-jar %jdkgcj_home/bin/jar
rln %_bindir/gcj-rmic %jdkgcj_home/bin/rmic
%__install -p -m755 %SOURCE1 %buildroot%jdkgcj_home/bin/notimpl
%__install -d -m755 %buildroot%jdkgcj_home/man
%__install -d -m755 %buildroot%jdkgcj_home/man/man1
%__install -p -m644 man/* %buildroot%jdkgcj_home/man/man1/

%__mkdir_p %buildroot%_altdir
# javac alternative, library dir and manual
%__cat <<EOF>%buildroot%_altdir/%name-javac
%_bindir/javac	%java_home/bin/javac	%priority
%_libdir/jdk	%java_home	%java_home/bin/javac
%_man1dir/javac.1.gz	%java_home/man/man1/javac.1.gz	%java_home/bin/javac
EOF
# binaries and manuals
for i in appletviewer extcheck idlj jar jarsigner javadoc javah javap jdb native2ascii rmic serialver; do
	%__cat <<EOF>>%buildroot%_altdir/%name-javac
%_bindir/$i	%java_home/bin/$i	%java_home/bin/javac
%_man1dir/$i.1.gz	%java_home/man/man1/$i.1.gz	%java_home/bin/javac
EOF
done
# profiles 
for i in j2se.sh j2se.csh; do
	%__cat <<EOF>>%buildroot%_altdir/%name-javac
%_sysconfdir/profile.d/$i	%java_home/$i	%java_home/bin/javac
EOF
done

for i in appletviewer extcheck idlj jarsigner javadoc javap jdb native2ascii serialver; do
	%__ln_s -f notimpl %buildroot%jdkgcj_home/bin/$i
done

%post
%register_alternatives %name-javac

%preun
%unregister_alternatives %name-javac

%files
%_altdir/%name-javac
%jdkgcj_home

%changelog
* Thu Jun 23 2005 Dmitry V. Levin <ldv@altlinux.org> 0.3.3-alt4
- Converted alternatives config file to new format (0.2.0).
- Rebuilt with gcc-3.4.4.
- Removed noarch tag.

* Tue Jan 18 2005 Dmitry V. Levin <ldv@altlinux.org> 0.3.3-alt3
- Fixed alternatives.
- Rebuilt with gcc-3.4.3.

* Wed Jun 16 2004 Stanislav Ievlev <inger@altlinux.org> 0.3.3-alt2.1
- NMU: move to new alternatives scheme

* Sun Mar 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.3-alt2
- Requires java-common

* Sat Jan 17 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.3-alt1
- Updated to the upstream release 0.3.3, using cues from spec by Arklinux
- Install a stub script for the executable JDK alternatives missing in jdkgcj
- Provide a manpage to override the JDK manpage alternatives and say something
  about jdkgcj

* Sat Jan 03 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-alt5
- Rebuilt with gcc-3.3.3

* Tue Dec 30 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-alt4
- Rebuilt with gcc-3.3.2

* Mon Jun 30 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-alt3
- Rebuilt with gcc-3.2.3

* Tue Nov 12 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-alt2
- Specfile cleanup.
- Use libgcj version in emulation scripts.
- Fixed tmp handling in java emulation.

* Mon Nov 11 2002 AEN <aen@altlinux.ru> 0.2.3-alt1
- first build (RH package)

* Mon Jul 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.3-1
- Adapt to gcc 3.2 (#69948)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.2-1
- Handle weirdo options like "-D ."

* Wed Jun 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.1-1
- Fix passing of parameters containing spaces or quotes to java
  applications.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.2.0-1
- Replace the java->gij symlink with a script that translates
  java options to gij options (allowing stuff like
  java -classpath "/foo" -Djava.library.path=/bar some/sub/class
  to work)

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.1-1
- Fix up default location of gcj jar file

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.1.0-1
- Fix up -d support in javac. It must handle multiple classes per file.

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.2-1
- Add support for -d in javac

* Fri May 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.0.1-1
- initial RPM
